Driver-update: AMD Catalyst Linux Display Driver 12.4

Amd Radeon Graphics logo (75 pix) AMD geeft tegelijk met drivers voor Windows ook weer nieuwe Linux-drivers voor zijn Radeon-videokaarten uit. De download is iets meer dan 100MB groot, maar kan in zowel 32- als 64bit-omgevingen worden gebruikt. Versie 12.4 is geschikt voor Radeon HD 2400 en hoger, de FireStream 9170, 9250 en 9270, en de embedded E2400 en E4690. Verder worden versies 6.9 tot en met 7.6 van X.org, Linux-kernel 2.6 en hoger, en glibc-versies 2.2 en 2.3 ondersteund. Al geruime tijd levert AMD geen releasenotes meer mee met de Linux-driver, maar Phoronix heeft de volgende informatie kunnen achterhalen:

AMD Catalyst 12.4 Linux Graphics Driver Released

As usual, AMD still isn't providing a change-log for the monthly Linux Catalyst driver releases. However, here's some details I do know about this month's driver...

There's now openSUSE 12.1 production support, early-look support for Ubuntu 12.04, Linux PowerXpress support for the Intel Ivy Bridge platform, packaging script updates, and various bug-fixes.

Among the bug-fixes for Catalyst 12.4 on Linux is fixing some multi-head issues, a system hang in certain PowerXpress configurations, fixing a system hang when using OpenGL overlays, correcting an OpenGL performance drop, a soft-hang when killing the X Server, and severe corruption for OpenGL games using the AMD "Redwood" graphics processors.
ATi Catalyst Linux Display Driver logo (410 pix)
Versienummer 12.4
Releasestatus Final
Besturingssystemen Linux, Linux AMD64
Website Amd
Download http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
Bestandsgrootte 103,00MB
Licentietype Voorwaarden (GNU/BSD/etc.)

Reacties (10)

10
10
3
1
0
7
Wijzig sortering
Heb hem zojuist geïnstalleerd, op ubuntu 12.04. Maar moet nog steeds na het opstarten men scherminstellingen terug goed zetten.
2 schermen met een verschillende resolutie = na een boot wordt er maar één scherm herkend. (HD2400XT). Het andere scherm is actief maar staat vol strepen. Na eens op "displays" te klikken en mirror screens aan/uit te vinken is alles weer oké.
ik krijg em uberhaupt niet aan de praat op 12.04, de kernel module wil niet compileren. is er al een package voor zodat ik em zelf niet hoef te compilen?
Je moet wel je compiler tools installed hebben.
Kijk even in de error log, meestal is dit het probleem.
Je zou ze daarna weer kunnen de-installen natuurlijk.
Anoniem: 24417
@ViPER_DMRT9 mei 2012 20:16
hm die had ik geinstalled.. toch bedankt voor de tip :)
ik wacht wel gewoon tot hij er standaard in zit als package :)
Ik heb juist hetzelfde probleem.
Er zijn enorm veel problemen met AMD drivers voor ubuntu 12.04

Ik hoop dat dit snel weg zal gaan
Anoniem: 268741
27 april 2012 10:17
Iemand al ervaring met deze driver versie? las namelijk op phoronix dat deze versie eerder weer teruggetrokken was i.v.m. een bug?

(Zal proberen de bron erbij te zoeken)

---
Edit: http://phoronix.com/forums/showthread.php?70594-fglrx-12-4

Ziet er naar uit dat er voor zowel Lin als Win een nieuwe 12.04 is uitgebracht. Geen duidelijkheid over de aanleiding.

[Reactie gewijzigd door Anoniem: 268741 op 27 april 2012 13:00]

Iemand deze driver al werkend gekregen met kernel 3.4 (rc4)??
Sinds deze update kan ik alweer niet CCC openen >.<
Ik word er een beetje ziek van, expres een paar maanden niet de updates geinstalleerd doordat ik angst had om dit probleem weer te krijgen.
Dit 'probleem' is er al jaren en nog steeds duikt het ieder keer weer op bij mij, na verse windows installaties noemt het maar op....

Op internet vind je ~20 verschillende ''oplossingen'' maar de juiste ben ik nog niet tegengekomen =(
Anoniem: 24417
@sjaak889 mei 2012 20:18
ik heb precies hetzelfde; wat voor mij (meestal) werkt is met driver sweeper alles van AMD te deleten, dan handmatig in de windows dir nog ati*.* deleten, rebooten, driver installeren en dan bidden dat het werkt :p
Waar hebben jullie het over? Windows dir? Driver sweeper? Heb je die op Linux?

Let dus even op bij welke driver update je iets zet, dit gaat over de Linux versie, niet die voor Windows ;).

Op dit item kan niet meer gereageerd worden.

Tweakers maakt gebruik van cookies

Tweakers plaatst functionele en analytische cookies voor het functioneren van de website en het verbeteren van de website-ervaring. Deze cookies zijn noodzakelijk. Om op Tweakers relevantere advertenties te tonen en om ingesloten content van derden te tonen (bijvoorbeeld video's), vragen we je toestemming. Via ingesloten content kunnen derde partijen diensten leveren en verbeteren, bezoekersstatistieken bijhouden, gepersonaliseerde content tonen, gerichte advertenties tonen en gebruikersprofielen opbouwen. Hiervoor worden apparaatgegevens, IP-adres, geolocatie en surfgedrag vastgelegd.

Meer informatie vind je in ons cookiebeleid.

Sluiten

Toestemming beheren

Hieronder kun je per doeleinde of partij toestemming geven of intrekken. Meer informatie vind je in ons cookiebeleid.

Functioneel en analytisch

Deze cookies zijn noodzakelijk voor het functioneren van de website en het verbeteren van de website-ervaring. Klik op het informatie-icoon voor meer informatie. Meer details

janee

    Relevantere advertenties

    Dit beperkt het aantal keer dat dezelfde advertentie getoond wordt (frequency capping) en maakt het mogelijk om binnen Tweakers contextuele advertenties te tonen op basis van pagina's die je hebt bezocht. Meer details

    Tweakers genereert een willekeurige unieke code als identifier. Deze data wordt niet gedeeld met adverteerders of andere derde partijen en je kunt niet buiten Tweakers gevolgd worden. Indien je bent ingelogd, wordt deze identifier gekoppeld aan je account. Indien je niet bent ingelogd, wordt deze identifier gekoppeld aan je sessie die maximaal 4 maanden actief blijft. Je kunt deze toestemming te allen tijde intrekken.

    Ingesloten content van derden

    Deze cookies kunnen door derde partijen geplaatst worden via ingesloten content. Klik op het informatie-icoon voor meer informatie over de verwerkingsdoeleinden. Meer details

    janee